Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 732912

Summary: app-pda/usbmuxd-1.1.1 : configure: error: preflight worker support requested but libimobiledevice could not be found
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: CONFIRMED ---    
Severity: normal CC: jeffrey, sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: emerge-info.txt
app-pda:usbmuxd-1.1.1:20200716-144405.log
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
temp.tbz2

Description Toralf Förster gentoo-dev 2020-07-16 14:48:42 UTC
checking for libimobiledevice... no
checking for pthread_create, pthread_mutex_lock in -lpthread... yes
configure: error: preflight worker support requested but libimobiledevice could not be found

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-pda/usbmuxd-1.1.1/work/usbmuxd-1.1.1/config.log

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200709-222110

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python3.6 (fallback)
  [5]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.44.1
  [2]   rust-1.44.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.16.0 [icedtea-bin-8]
2)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
  [2]   jamvm 

The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu 16 Jul 2020 02:05:24 PM UTC
/var/db/repos/libressl	Thu 16 Jul 2020 08:11:39 AM UTC

emerge -qpvO app-pda/usbmuxd
[ebuild     U ] app-pda/usbmuxd-1.1.1 [1.1.1_pre20200121] USE="systemd"
Comment 1 Toralf Förster gentoo-dev 2020-07-16 14:48:45 UTC
Created attachment 649524 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-07-16 14:48:48 UTC
Created attachment 649526 [details]
app-pda:usbmuxd-1.1.1:20200716-144405.log
Comment 3 Toralf Förster gentoo-dev 2020-07-16 14:48:50 UTC
Created attachment 649528 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-07-16 14:48:53 UTC
Created attachment 649530 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-07-16 14:48:56 UTC
Created attachment 649532 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-07-16 14:48:59 UTC
Created attachment 649534 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-07-16 14:49:02 UTC
Created attachment 649536 [details]
temp.tbz2
Comment 8 Anton Bolshakov 2020-07-17 04:59:40 UTC
The maintainer has missed few deps requirements in the last bump
libimobiledevice-1.3.0 is required to build it.

This bug is also related: https://bugs.gentoo.org/732984